"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("antd/es/affix/style/css");

var _affix = _interopRequireDefault(require("antd/es/affix"));

var _react = _interopRequireDefault(require("react"));

var _collect = _interopRequireDefault(require("bisheng/collect"));

var _utils = require("../utils");

var _reactDocumentTitle = _interopRequireDefault(require("react-document-title"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

var Post = function Post(props) {
  var pageData = props.pageData,
      utils = props.utils;
  var meta = pageData.meta,
      description = pageData.description,
      content = pageData.content;
  var formatedContent = (0, _utils.formatContent)(content);
  return _react["default"].createElement(_reactDocumentTitle["default"], {
    title: "".concat(meta.title, " | ").concat(props.themeConfig.sitename)
  }, _react["default"].createElement("div", {
    className: "markdown"
  }, _react["default"].createElement("h1", {
    className: "entry-title"
  }, meta.title), !description ? null : _react["default"].createElement("div", {
    className: "entry-description"
  }, utils.toReactComponent(description)), _react["default"].createElement("div", {
    className: "entry-content"
  }, utils.toReactComponent(formatedContent.content)), _react["default"].createElement(_affix["default"], {
    className: "toc-affix",
    offsetTop: 16
  }, props.utils.toReactComponent(['ul', {
    className: 'toc'
  }].concat(formatedContent.toc)))));
};

var _default = (0, _collect["default"])(
/*#__PURE__*/
function () {
  var _ref = _asyncToGenerator(
  /*#__PURE__*/
  regeneratorRuntime.mark(function _callee(nextProps) {
    var pageData;
    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            if (nextProps.pageData) {
              _context.next = 2;
              break;
            }

            throw 404;

          case 2:
            _context.next = 4;
            return nextProps.pageData();

          case 4:
            pageData = _context.sent;
            return _context.abrupt("return", {
              pageData: pageData
            });

          case 6:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));

  return function (_x) {
    return _ref.apply(this, arguments);
  };
}())(Post);

exports["default"] = _default;